Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class GenUtils

    java.lang.Object
      |
      +--com.macromedia.generator.utils.GenUtils

public class GenUtils
extends java.lang.Object

Constructor Summary
`GenUtils()`

Method Summary
`(package private) static void` | `()`
`static boolean` | `createNewFile(java.io.File file)`
`static java.io.File` | `createTempFile(java.lang.String s, java.lang.String s1, java.io.File file)`
`static float` | `getJavaVersion()`
`static java.lang.String` | `getJavaVersionString()`
`static java.io.File` | `getParentFile(java.io.File file)`
`static java.util.Vector` | `hashtableToVector(java.util.Hashtable hashtable)`
`static boolean` | `isJava2()`
`static java.io.File[]` | `makeFileArray(java.io.File file, java.lang.String[] as)`
`static java.lang.String` | `replace(java.lang.String s, java.lang.String s1, char c)`
`static java.io.File` | `sun_createTempFile(java.lang.String s, java.lang.String s1, java.io.File file)`
`static java.net.URL` | `toURL(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenUtils

    public GenUtils()

Method Detail

### createNewFile

    public static boolean createNewFile(java.io.File file)
                                 throws java.io.IOException

### createTempFile

    public static java.io.File createTempFile(java.lang.String s,
                                              java.lang.String s1,
                                              java.io.File file)
                                       throws java.io.IOException

### getJavaVersion

    public static float getJavaVersion()

### getJavaVersionString

    public static java.lang.String getJavaVersionString()

### getParentFile

    public static java.io.File getParentFile(java.io.File file)

### hashtableToVector

    public static java.util.Vector hashtableToVector(java.util.Hashtable hashtable)

### isJava2

    public static boolean isJava2()

### makeFileArray

    public static java.io.File[] makeFileArray(java.io.File file,
                                               java.lang.String[] as)

### replace

    public static java.lang.String replace(java.lang.String s,
                                           java.lang.String s1,
                                           char c)

### sun_createTempFile

    public static java.io.File sun_createTempFile(java.lang.String s,
                                                  java.lang.String s1,
                                                  java.io.File file)
                                           throws java.io.IOException

### toURL

    public static java.net.URL toURL(java.io.File file)
                              throws java.net.MalformedURLException

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD